cascading.flow.stream.element

## Class SourceStage

- java.lang.Object
- - cascading.flow.stream.duct.Duct<Incoming,Outgoing>
  - - cascading.flow.stream.duct.Stage<Incoming,Outgoing>
    - - cascading.flow.stream.element.ElementStage<java.lang.Void,TupleEntry>
      - - cascading.flow.stream.element.SourceStage

All Implemented Interfaces:
  ElementDuct, InputSource, java.util.concurrent.Callable<java.lang.Throwable>

    public class SourceStage
    extends ElementStage<java.lang.Void,TupleEntry>
    implements java.util.concurrent.Callable<java.lang.Throwable>, InputSource

### Field Summary

### Fields inherited from class cascading.flow.stream.element.ElementStage

`branchNames, flowElement, flowProcess, incomingScopes, outgoingScopes, trapHandler`

### Fields inherited from class cascading.flow.stream.duct.Duct

`next`

### Constructor Summary

Constructors
Constructor and Description
`SourceStage(FlowProcess flowProcess, Tap source)`

### Method Summary

Methods
`java.lang.Throwable` `call()`
`Tap` `getSource()`
`void` `initialize()` Called immediately after bind
`void` `receive(Duct previous, int ordinal, java.lang.Void nada)`
`void` `run(java.lang.Object input)`

### Methods inherited from class cascading.flow.stream.element.ElementStage

`cleanup, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingFields, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, setBranchNames, setTrapHandler, toString`

### Methods inherited from class cascading.flow.stream.duct.Duct

`bind, complete, getNext, getNextFor, prepare, receiveFirst, start`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SourceStage

    public SourceStage(FlowProcess flowProcess,
               Tap source)

### Method Detail

#### getSource

    public Tap getSource()

#### call

    public java.lang.Throwable call()
                             throws java.lang.Exception

Specified by:
  `call` in interface `java.util.concurrent.Callable<java.lang.Throwable>`
Throws:
  `java.lang.Exception`

#### run

    public void run(java.lang.Object input)
             throws java.lang.Throwable

Specified by:
  `run` in interface `InputSource`
Throws:
  `java.lang.Throwable`

#### initialize

    public void initialize()

Description copied from class: `Duct`
Called immediately after bind

Overrides:
  `initialize` in class `Duct<java.lang.Void,TupleEntry>`

#### receive

    public void receive(Duct previous,
               int ordinal,
               java.lang.Void nada)

Overrides:
  `receive` in class `Stage<java.lang.Void,TupleEntry>`